
Redmine - Defect #19812

Chinese characters crashes Redmine 3.0.

2015-05-11 18:13 - Gerardo Delgado

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 3.0.0

Description

Whenever the below Chinese characters are entered into a post in Redmine it crashes the web portal. Not sure if this is an issue with

local YAML localization or additional settings need to be enabled to prevent this.

History

#2 - 2015-05-12 05:30 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Read Submissions.

#3 - 2015-05-12 16:00 - Gerardo Delgado

Please read the below additional feedback regarding the environment setup.

Environment:

Redmine version                3.0.0.stable.14068

Ruby version                   2.0.0-p598 (2014-11-13) [x86_64-linux]

Rails version                  4.2.0

Environment                    production

Database adapter               Mysql2

MySql Version                 5.6.22

SCM:

Subversion                     1.8.8

Git                            1.9.1

Filesystem

Redmine plugins:

redmine_issue_checklist        2.0.7

redmine_work_time              0.3.0

#4 - 2015-05-12 16:12 - Toshi MARUYAMA

Please post log.

#5 - 2015-05-12 17:21 - Gerardo Delgado

See the below output from the log file.

App 13321 stderr: Processing by AccountController#login as HTML

App 13321 stderr:   Parameters: {"back_url"=>"http://localhost/redmine"}

App 13321 stderr:   Current user: anonymous

App 13321 stderr:   Rendered account/login.html.erb within layouts/base (2.7ms)

App 13321 stderr: Completed 200 OK in 13ms (Views: 11.1ms | ActiveRecord: 0.2ms)

App 13321 stderr: Started POST "/redmine/projects/gerardo001/issues" for 10.20.10.102 at 2015-05-12 15:19:22 +0000

App 13321 stderr: Processing by IssuesController#create as HTML

App 13321 stderr:   Parameters: {"utf8"=>"✓",

"authenticity_token"=>"pxkXhxvNQ/kmlcurfcVqEhYO0n+y2kVgmn8FRXOUlTkt5p6DXN+H9ookGEkZGYgmv78aUHLVZT4yA7c0NjJSEA==",

"issue"=>{"is_private"=>"0", "tracker_id"=>"4", "subject"=>"Test Chinese Characters", "description"=>"

#6 - 2015-05-12 17:43 - Toshi MARUYAMA

What is your webserver?

#7 - 2015-05-12 17:56 - Gerardo Delgado

Ubuntu 14.04.2 LTS
#8 - 2015-05-12 17:58 - Toshi MARUYAMA

Webserver means apache or etc.

#9 - 2015-05-12 18:01 - Gerardo Delgado

Server version: Apache/2.4.7 (Ubuntu)

Server built:   Jul 22 2014 14:36:38

Server's Module Magic Number: 20120211:27

Server loaded:  APR 1.5.1-dev, APR-UTIL 1.5.3

Compiled using: APR 1.5.1-dev, APR-UTIL 1.5.3

Architecture:   64-bit

#10 - 2015-05-12 18:09 - Toshi MARUYAMA

How to run Redmine? passenger, thin, or etc.?

#11 - 2015-05-12 18:10 - Gerardo Delgado

Using passenger.

#12 - 2015-05-12 18:18 - Toshi MARUYAMA

Can you reproduce with webrick?

$ bundle exec ruby bin/rails server -e production -p <port number> -b <ip address>

#13 - 2015-05-12 18:30 - Gerardo Delgado

Yes same error.

#14 - 2015-05-12 18:40 - Toshi MARUYAMA

Please post full logs of webrick.

I don't know what "crashes" means.

#15 - 2015-05-12 18:43 - Gerardo Delgado

See below for full webrick log.

Started GET "/redmine" for 10.20.10.102 at 2015-05-12 16:25:41 +0000

Processing by WelcomeController#index as HTML

  Current user: gdelgado (id=42)

  Rendered news/_news.html.erb (44.4ms)

  Rendered welcome/index.html.erb within layouts/base (138.4ms)

Completed 200 OK in 308ms (Views: 152.3ms | ActiveRecord: 12.6ms)

Started GET "/redmine" for 10.20.10.102 at 2015-05-12 16:25:56 +0000

Processing by WelcomeController#index as HTML

  Current user: gdelgado (id=42)

  Rendered news/_news.html.erb (5.2ms)

  Rendered welcome/index.html.erb within layouts/base (66.3ms)

Completed 200 OK in 84ms (Views: 76.1ms | ActiveRecord: 1.0ms)

Started GET "/redmine/my/page" for 10.20.10.102 at 2015-05-12 16:25:59 +0000

Processing by MyController#page as HTML

  Current user: gdelgado (id=42)

  Rendered issues/_list_simple.html.erb (83.7ms)

  Rendered my/blocks/_issuesassignedtome.html.erb (156.0ms)

  Rendered issues/_list_simple.html.erb (17.2ms)

  Rendered my/blocks/_issuesreportedbyme.html.erb (25.0ms)

  Rendered my/page.html.erb within layouts/base (186.0ms)

Completed 200 OK in 203ms (Views: 195.5ms | ActiveRecord: 3.7ms)

Started GET "/redmine/projects/gerardo001?jump=my" for 10.20.10.102 at 2015-05-12 16:26:02 +0000

Processing by ProjectsController#show as HTML

  Parameters: {"jump"=>"my", "id"=>"gerardo001"}

  Current user: gdelgado (id=42)

  Rendered projects/_members_box.html.erb (0.9ms)

  Rendered projects/_sidebar.html.erb (1.1ms)

  Rendered projects/show.html.erb within layouts/base (11.7ms)

Completed 200 OK in 99ms (Views: 48.9ms | ActiveRecord: 6.9ms)

Started GET "/redmine/projects/gerardo001/issues/new" for 10.20.10.102 at 2015-05-12 16:26:04 +0000

Processing by IssuesController#new as HTML

  Parameters: {"project_id"=>"gerardo001"}

  Current user: gdelgado (id=42)

  Rendered issues/_form_custom_fields.html.erb (6.8ms)

  Rendered issues/_attributes.html.erb (28.9ms)
  Rendered plugins/redmine_issue_checklist/app/views/issues/_checklist_form.html.erb (1.8ms)

  Rendered issues/_form.html.erb (59.3ms)

  Rendered attachments/_form.html.erb (4.4ms)

  Rendered issues/new.html.erb within layouts/base (73.8ms)

Completed 200 OK in 120ms (Views: 91.7ms | ActiveRecord: 5.7ms)

Started POST "/redmine/projects/gerardo001/issues/new.js" for 10.20.10.102 at 2015-05-12 16:26:07 +0000

Processing by IssuesController#new as JS

  Parameters: {"utf8"=>"✓", "authenticity_token"=>"pLfr1W4wp4f5WnZ2wDBlSiSwt3vw8puXab1SjOXBD7AuSGLRKSJjiFXrpZS

k7Id+jQF/VDD9u8nBweD9oGfImQ==", "issue"=>{"is_private"=>"0", "tracker_id"=>"4", "subject"=>"", "description"=>

"", "status_id"=>"15", "priority_id"=>"4", "assigned_to_id"=>"", "parent_issue_id"=>"", "start_date"=>"2015-05

-12", "due_date"=>"", "estimated_hours"=>"", "done_ratio"=>"0"}, "was_default_status"=>"15", "new_checklist"=>

"", "project_id"=>"gerardo001"}

  Current user: gdelgado (id=42)

  Rendered issues/_form_custom_fields.html.erb (2.9ms)

  Rendered issues/_attributes.html.erb (15.2ms)

  Rendered plugins/redmine_issue_checklist/app/views/issues/_checklist_form.html.erb (1.7ms)

  Rendered issues/_form.html.erb (28.7ms)

  Rendered issues/new.js.erb (30.8ms)

Completed 200 OK in 57ms (Views: 36.6ms | ActiveRecord: 1.8ms)

Started POST "/redmine/projects/gerardo001/issues" for 10.20.10.102 at 2015-05-12 16:26:38 +0000

Processing by IssuesController#create as HTML

  Parameters: {"utf8"=>"✓", "authenticity_token"=>"pLfr1W4wp4f5WnZ2wDBlSiSwt3vw8puXab1SjOXBD7AuSGLRKSJjiFXrpZS

k7Id+jQF/VDD9u8nBweD9oGfImQ==", "issue"=>{"is_private"=>"0", "tracker_id"=>"4", "subject"=>"Test Chinese Chara

cters Webrick", "description"=>" 

#16 - 2015-05-12 18:53 - Toshi MARUYAMA

It seems redmine_issue_checklist 2.0.7 does not support Redmine 3.0.

https://github.com/Undev/redmine_issue_checklist/releases

#17 - 2015-05-12 18:56 - Gerardo Delgado

But I have no problems posting any other issues within Redmine.. Looking at the logs, this seems to be related to the MySql character set for the

table?

#18 - 2015-05-12 18:58 - Gerardo Delgado

In addition, looking at the "master" branch Redmine 3.0 support is outlined there.

https://github.com/Undev/redmine_issue_checklist

#19 - 2015-05-12 20:14 - Gerardo Delgado

Upgraded the checklist to 2.0.8 and it's still erroring out with the same error above.

#20 - 2019-05-01 02:40 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Cant reproduce

Please reopen this issue if you still experience the problem.
